Page MenuHomePhabricator

[GlobalISel] Fix and tidy up documentation for ValueMapping class (NFC)
ClosedPublic

Authored by ehjogab on Aug 19 2020, 1:52 AM.

Details

Summary

The documentation was missing a '*/' in '/*<2x32-bit> vadd {0, 64, VPR}',
and the example code are now aligned to improve readability.

Diff Detail

Unit TestsFailed

TimeTest
60 mslinux > flang-Unit.Lower/_/FlangLoweringOpenMPTests::OpenMPLoweringTest.Barrier
Note: Google Test filter = OpenMPLoweringTest.Barrier [==========] Running 1 test from 1 test case. [----------] Global test environment set-up.
60 mslinux > flang-Unit.Lower/_/FlangLoweringOpenMPTests::OpenMPLoweringTest.EmptyParallel
Note: Google Test filter = OpenMPLoweringTest.EmptyParallel [==========] Running 1 test from 1 test case. [----------] Global test environment set-up.
60 mslinux > flang-Unit.Lower/_/FlangLoweringOpenMPTests::OpenMPLoweringTest.TaskWait
Note: Google Test filter = OpenMPLoweringTest.TaskWait [==========] Running 1 test from 1 test case. [----------] Global test environment set-up.
70 mslinux > flang-Unit.Lower/_/FlangLoweringOpenMPTests::OpenMPLoweringTest.TaskYield
Note: Google Test filter = OpenMPLoweringTest.TaskYield [==========] Running 1 test from 1 test case. [----------] Global test environment set-up.

Event Timeline

ehjogab created this revision.Aug 19 2020, 1:52 AM
Herald added a project: Restricted Project. · View Herald TranscriptAug 19 2020, 1:52 AM
Herald added a subscriber: rovka. · View Herald Transcript
ehjogab requested review of this revision.Aug 19 2020, 1:52 AM
arsenm accepted this revision.Aug 19 2020, 6:30 AM
This revision is now accepted and ready to land.Aug 19 2020, 6:30 AM
bjope added inline comments.Aug 20 2020, 1:02 AM
llvm/include/llvm/CodeGen/GlobalISel/RegisterBankInfo.h
107

A bit unfortunate to get too long lines here. Not sure if that is worse compared to things not being aligned in the code comments.

bjope added a comment.Aug 25 2020, 1:30 AM

Should I land this patch for you (including a fix for the long lines)?

This revision was landed with ongoing or failed builds.Aug 26 2020, 3:11 AM
This revision was automatically updated to reflect the committed changes.